editex 0.2.2+4

  • README.md
  • Installing
  • Versions
  • 44

EdiTeX equation editor

This component is inspired by https://github.com/daniel3735928559/guppy. It is designed to work with eqlib and a database of LaTeX templates.

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  editex: "^0.2.2+4"

2. Install it

You can install packages from the command line:

with pub:


$ pub get

Alternatively, your editor might support pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


      import 'package:editex/editex.dart';
  
Version Uploaded Documentation Archive
0.2.2+4 Jul 29, 2017 Go to the documentation of editex 0.2.2+4 Download editex 0.2.2+4 archive
0.2.2+3 Jul 9, 2017 Go to the documentation of editex 0.2.2+3 Download editex 0.2.2+3 archive
0.2.2+2 Jun 2, 2017 Go to the documentation of editex 0.2.2+2 Download editex 0.2.2+2 archive
0.2.2+1 Jun 2, 2017 Go to the documentation of editex 0.2.2+1 Download editex 0.2.2+1 archive
0.2.2 Jun 2, 2017 Go to the documentation of editex 0.2.2 Download editex 0.2.2 archive
0.2.1 May 31, 2017 Go to the documentation of editex 0.2.1 Download editex 0.2.1 archive
0.2.0+2 May 30, 2017 Go to the documentation of editex 0.2.0+2 Download editex 0.2.0+2 archive
0.2.0+1 May 30, 2017 Go to the documentation of editex 0.2.0+1 Download editex 0.2.0+1 archive
0.2.0 May 30, 2017 Go to the documentation of editex 0.2.0 Download editex 0.2.0 archive
0.1.7+1 May 24, 2017 Go to the documentation of editex 0.1.7+1 Download editex 0.1.7+1 archive

All 28 versions...

Analysis

We analyzed this package on Jun 12, 2018, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.0.0-dev.60.0
  • pana: 0.11.3

Scores

Popularity:
Describes how popular the package is relative to other packages. [more]
0 / 100
Health:
Code health derived from static analysis. [more]
100 / 100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
72 / 100
Overall score:
Weighted score of the above. [more]
44
Learn more about scoring.

Platforms

Detected platforms: web

Primary library: package:editex/editex.dart with components: html, js.

Suggestions

  • Maintain CHANGELOG.md.

    Changelog entries help clients to follow the progress in your code.

  • Homepage does not exists.

    We were unable to access https://github.com/qedb/editex at the time of the analysis.

  • The description is too short.

    Add more detail about the package, what it does and what is its target use case. Try to write at least 60 characters.

  • Package is pre-v1 release.

    While there is nothing inherently wrong with versions of 0.*.*, it usually means that the author is still experimenting with the general direction API.

  • Maintain an example.

    Create a short demo in the example/ directory to show how to use this package. Common file name patterns include: main.dart, example.dart or you could also use editex.dart.

  • Fix analysis and formatting issues.

    Analysis or formatting checks reported 2 hints.

    Strong-mode analysis of lib/src/editex.dart gave the following hint:

    line: 311 col: 12
    'JSON' is deprecated and shouldn't be used.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=1.8.0 <2.0.0
browser ^0.10.0+2 0.10.0+3
collection ^1.14.0 1.14.10
eqlib ^0.16.0 0.16.0
htgen ^0.0.1 0.0.2+1
js ^0.6.1 0.6.1
Transitive dependencies
analyzer 0.32.1
args 1.4.3
async 2.0.7
boolean_selector 1.0.3
charcode 1.1.1
convert 2.0.1
crypto 2.0.3
csslib 0.14.4
front_end 0.1.1
glob 1.1.5
html 0.13.3+1
http 0.11.3+16
http_multi_server 2.0.5
http_parser 3.1.2
io 0.3.2+1
kernel 0.3.1
logging 0.11.3+1
matcher 0.12.2+1
meta 1.1.5
mime 0.9.6+1
multi_server_socket 1.0.1
node_preamble 1.4.2
package_config 1.0.3
package_resolver 1.0.3
path 1.6.0
plugin 0.2.0+2
pool 1.3.5
pub_semver 1.4.1
quiver_hashcode 1.0.0
shelf 0.7.3+1
shelf_packages_handler 1.0.3
shelf_static 0.2.7+1
shelf_web_socket 0.2.2+2
source_map_stack_trace 1.1.4
source_maps 0.10.5
source_span 1.4.0
stack_trace 1.9.2
stream_channel 1.6.7
string_scanner 1.0.2
term_glyph 1.0.0
test 0.12.40
tuple 1.0.1
typed_data 1.1.5
utf 0.9.0+4
watcher 0.9.7+8
web_socket_channel 1.0.8
yaml 2.1.14
Dev dependencies
sass ^1.0.0-alpha
transform_sass ^0.1.0